Support » Plugin: Search & Replace » First Time Installation Fatal Error

  • I think I stand a better chance of winning the lottery than finding a plugin that does what it suppose to without having to pay money!

    This plugin incurred a fatal error upon installation;

    Parse error: syntax error, unexpected T_STRING in /home/content/89/11198089/html/xxxxxxx/wp-content/plugins/search-and-replace/inspyde-search-replace.php on line 16

Viewing 8 replies - 1 through 8 (of 8 total)
  • Instead of buying lottery tickets, try updating PHP to the version stated on the Installation page.

    You get what you pay for:)

    Plugin Contributor Rene Reimann

    (@derpixler)

    Hey guys,

    please note, the Error line 16 is not a problem of the Plugin!
    Parse error: syntax error, unexpected T_STRING in .../wp-content/plugins/search-and-replace/inspyde-search-replace.php on line 16

    If you go to this point you will see, there is the namespace constuctor and this exists since php 5.3. In the same file on Line 43 we check the version.

    $required_php_version = '5.4.0';

    your 1 star voting is unfair, that’s not a problem or bug from the plugin that’s your installed php version.

    Please think about you voting.

    To be honest, that version checking doesn’t make much sense, because in php prior to 5.3 the file can’t be parsed due to namespaces. Maybe it would be better to remove namespace from the main plugin fileso the checking will work.

    Still 1* rating is very unfair as it is clearly stated on the installation tab that php 5.4 is required. Some people prefer leaving an unfair rating instead of doing some research themselves.

    Plugin Contributor Rene Reimann

    (@derpixler)

    Hey Soft79,

    your right the version validation the main file make nonsense but the installation-tap we say PHP 5.4, newer PHP versions will work faster. and at the main tab we highlight the requirements for php 5.4.

    What we do at next is removing the namespcae on the main plugin file.

    Plugin Contributor Rene Reimann

    (@derpixler)

    @jpinches @josk79 we have released 3.1.1 with a fix for this error pls try and report us your experience.

    I rebuilt my website to straight HTML so I can no longer try the fix.

    Hi Rene, I’m on PHP 7 and currently not using your plugin, so I can’t try the fix.

    Hi JPinches; Maybe you could reconsider your 1-star review?

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘First Time Installation Fatal Error’ is closed to new replies.